View Issue Details

IDCategoryLast Update
0006964bugs2020-04-02 18:30
ReporteruniusAssigned To 
Reproducibilityalways 
Status closedResolutionfixed 
PlatformLinuxOSOS Version
Product VersionMixbus 3.2 
Fixed in Version 
Summary0006964: Crash on opening "Optimize Polarity" (Mixbus >= 3.4)
DescriptionIf use libgobject-2.0.so.0 without debug - crash.
If use with --enable-debug=minimum - not crash, but in console:
(mixbus:15432): GLib-GObject-CRITICAL **: g_object_run_dispose: assertion 'G_IS_OBJECT (object)' failed
TagsNo tags attached.

Activities

unius

2016-08-21 11:31

reporter  

backtrace.txt (15,172 bytes)
Thread 1 "mixbus32c" received signal SIGSEGV, Segmentation fault.
0x00007ffff530eaef in g_object_run_dispose () from /lib/libgobject-2.0.so.0

Thread 31 (LWP 6875):
#0  0x00007fffedc40759 in syscall () from /lib/libc.so.6
#1  0x00007ffff50877af in g_cond_wait () from /lib/libglib-2.0.so.0
#2  0x00007ffff799ac8f in ArdourCanvas::WaveView::drawing_thread() ()
   from /app/mixbus32c/lib/libcanvas.so.0
#3  0x00007ffff558be3d in ?? () from /lib/libglibmm-2.4.so.1
#4  0x00007ffff506adb0 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 30 (LWP 6874):
#0  0x00007fffedc40759 in syscall () from /lib/libc.so.6
#1  0x00007ffff50878c2 in g_cond_wait_until () from /lib/libglib-2.0.so.0
#2  0x00007ffff5016b1b in g_async_queue_timeout_pop ()
   from /lib/libglib-2.0.so.0
#3  0x00007ffff506b3dc in ?? () from /lib/libglib-2.0.so.0
#4  0x00007ffff506adb0 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 29 (LWP 6873):
#0  0x00007ffff0c9972d in nanosleep () from /lib/libpthread.so.0
#1  0x00007ffff506be28 in g_usleep () from /lib/libglib-2.0.so.0
#2  0x00007ffff6d3fb7f in ARDOUR::AutomationWatch::thread() ()
   from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff558be3d in ?? () from /lib/libglibmm-2.4.so.1
#4  0x00007ffff506adb0 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 28 (LWP 6872):
#0  0x00007ffff0c95fef in pthread_cond_wait () from /lib/libpthread.so.0
#1  0x00007ffff6fa7fae in ARDOUR::Session::auto_connect_thread_run() ()
   from /app/mixbus32c/lib/libardour.so.3
#2  0x00007ffff6fa8049 in ARDOUR::Session::auto_connect_thread(void*) ()
   from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#4  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 27 (LWP 6871):
#0  0x00007ffff0c95fef in pthread_cond_wait () from /lib/libpthread.so.0
#1  0x00007ffff7008833 in ARDOUR::Session::emit_thread_run() ()
   from /app/mixbus32c/lib/libardour.so.3
#2  0x00007ffff7008859 in ARDOUR::Session::emit_thread(void*) ()
   from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#4  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 26 (LWP 6870):
#0  0x00007fffedc3c19d in poll () from /lib/libc.so.6
#1  0x00007ffff5043ce4 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007ffff5043fa2 in g_main_loop_run () from /lib/libglib-2.0.so.0
#3  0x00007ffff61602ac in BaseUI::main_thread() ()
   from /app/mixbus32c/lib/libpbd.so.4
#4  0x00007ffff558be3d in ?? () from /lib/libglibmm-2.4.so.1
#5  0x00007ffff506adb0 in ?? () from /lib/libglib-2.0.so.0
#6  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 25 (LWP 6869):
#0  0x00007fffedc150dd in nanosleep () from /lib/libc.so.6
#1  0x00007fffedc1502a in sleep () from /lib/libc.so.6
#2  0x00007fffbe2e3cfa in ?? ()
   from /app/mixbus32c/lib/ladspa/strip/harrison_channelstrip_32c.so
#3  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#4  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 24 (LWP 6868):
#0  0x00007fffedc3c19d in poll () from /lib/libc.so.6
#1  0x00007ffff5043ce4 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007ffff5043fa2 in g_main_loop_run () from /lib/libglib-2.0.so.0
#3  0x00007ffff61602ac in BaseUI::main_thread() ()
   from /app/mixbus32c/lib/libpbd.so.4
#4  0x00007ffff558be3d in ?? () from /lib/libglibmm-2.4.so.1
#5  0x00007ffff506adb0 in ?? () from /lib/libglib-2.0.so.0
#6  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 23 (LWP 6867):
#0  0x00007fffedc3c19d in poll () from /lib/libc.so.6
#1  0x00007ffff616c794 in CrossThreadChannel::poll_for_request() ()
   from /app/mixbus32c/lib/libpbd.so.4
#2  0x00007ffff616c7fa in CrossThreadChannel::receive(char&, bool) ()
   from /app/mixbus32c/lib/libpbd.so.4
#3  0x00007ffff6d4d261 in ARDOUR::Butler::thread_work() ()
   from /app/mixbus32c/lib/libardour.so.3
#4  0x00007ffff6d4d92f in ARDOUR::Butler::_thread_work(void*) ()
   from /app/mixbus32c/lib/libardour.so.3
#5  0x00007ffff618a160 in ?? () from /app/mixbus32c/lib/libpbd.so.4
#6  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 22 (LWP 6866):
#0  0x00007ffff0c983b7 in ?? () from /lib/libpthread.so.0
#1  0x00007ffff0c98464 in ?? () from /lib/libpthread.so.0
#2  0x00007ffff6df530f in ARDOUR::Graph::run_one() ()
   from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff6df53d8 in ARDOUR::Graph::helper_thread() ()
   from /app/mixbus32c/lib/libardour.so.3
#4  0x0000000000889593 in boost::function0<void>::operator()() const ()
#5  0x00007fffd7303aa9 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) () from /app/mixbus32c/lib/backends/libjack_audiobackend.so
#6  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 21 (LWP 6865):
#0  0x00007ffff0c983b7 in ?? () from /lib/libpthread.so.0
#1  0x00007ffff0c98464 in ?? () from /lib/libpthread.so.0
#2  0x00007ffff6df530f in ARDOUR::Graph::run_one() ()
   from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff6df53d8 in ARDOUR::Graph::helper_thread() ()
   from /app/mixbus32c/lib/libardour.so.3
#4  0x0000000000889593 in boost::function0<void>::operator()() const ()
#5  0x00007fffd7303aa9 in ARDOUR::JACKAudioBackend::_start_process_thread(void*)
 () from /app/mixbus32c/lib/backends/libjack_audiobackend.so
#6  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 20 (LWP 6864):
#0  0x00007ffff0c983b7 in ?? () from /lib/libpthread.so.0
#1  0x00007ffff0c98464 in ?? () from /lib/libpthread.so.0
#2  0x00007ffff6df530f in ARDOUR::Graph::run_one() ()
   from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff6df53d8 in ARDOUR::Graph::helper_thread() ()
   from /app/mixbus32c/lib/libardour.so.3
#4  0x0000000000889593 in boost::function0<void>::operator()() const ()
#5  0x00007fffd7303aa9 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) () from /app/mixbus32c/lib/backends/libjack_audiobackend.so
#6  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 19 (LWP 6863):
#0  0x00007ffff0c983b7 in ?? () from /lib/libpthread.so.0
#1  0x00007ffff0c98464 in ?? () from /lib/libpthread.so.0
#2  0x00007ffff6df530f in ARDOUR::Graph::run_one() ()
   from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff6df53d8 in ARDOUR::Graph::helper_thread() ()
   from /app/mixbus32c/lib/libardour.so.3
#4  0x0000000000889593 in boost::function0<void>::operator()() const ()
#5  0x00007fffd7303aa9 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) () from /app/mixbus32c/lib/backends/libjack_audiobackend.so
#6  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 18 (LWP 6862):
#0  0x00007ffff0c983b7 in ?? () from /lib/libpthread.so.0
#1  0x00007ffff0c98464 in ?? () from /lib/libpthread.so.0
#2  0x00007ffff6df56e5 in ARDOUR::Graph::restart_cycle() ()
   from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff6df5361 in ARDOUR::Graph::run_one() ()
   from /app/mixbus32c/lib/libardour.so.3
#4  0x00007ffff6df5651 in ARDOUR::Graph::main_thread() ()
   from /app/mixbus32c/lib/libardour.so.3
#5  0x0000000000889593 in boost::function0<void>::operator()() const ()
#6  0x00007fffd7303aa9 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) () from /app/mixbus32c/lib/backends/libjack_audiobackend.so
#7  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#8  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 16 (LWP 6859):
#0  0x00007fffedc3c19d in poll () from /lib/libc.so.6
#1  0x00007fffd70d0666 in jack_cycle_wait () from /lib/libjack.so.0
#2  0x00007fffd73032c2 in ARDOUR::JACKAudioBackend::process_thread() ()
   from /app/mixbus32c/lib/backends/libjack_audiobackend.so
#3  0x00007fffd70d09e7 in ?? () from /lib/libjack.so.0
#4  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#5  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 15 (LWP 6857):
#0  0x00007ffff0c95fef in pthread_cond_wait () from /lib/libpthread.so.0
#1  0x00007fffd70d1d9b in ?? () from /lib/libjack.so.0
#2  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#3  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 12 (LWP 6854):
#0  0x00007fffedc3c19d in poll () from /lib/libc.so.6
#1  0x00007ffff5043ce4 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007ffff5043dec in g_main_context_iteration ()
   from /lib/libglib-2.0.so.0
#3  0x00007ffff5043e29 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007ffff506adb0 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 7 (LWP 6847):
#0  0x00007fffedc40759 in syscall () from /lib/libc.so.6
#1  0x00007ffff50877af in g_cond_wait () from /lib/libglib-2.0.so.0
#2  0x00007ffff6d008cb in ARDOUR::AudioEngine::do_devicelist_update() ()
   from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff558be3d in ?? () from /lib/libglibmm-2.4.so.1
#4  0x00007ffff506adb0 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 6 (LWP 6846):
#0  0x00007fffedc40759 in syscall () from /lib/libc.so.6
#1  0x00007ffff50877af in g_cond_wait () from /lib/libglib-2.0.so.0
#2  0x00007ffff6d00bbd in ARDOUR::AudioEngine::do_reset_backend() ()
   from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff558be3d in ?? () from /lib/libglibmm-2.4.so.1
#4  0x00007ffff506adb0 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 5 (LWP 6845):
#0  0x00007fffedc40759 in syscall () from /lib/libc.so.6
#1  0x00007ffff50877af in g_cond_wait () from /lib/libglib-2.0.so.0
#2  0x00007ffff6cb7aeb in ARDOUR::Analyser::work() ()
   from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff558be3d in ?? () from /lib/libglibmm-2.4.so.1
#4  0x00007ffff506adb0 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 4 (LWP 6844):
#0  0x00007fffedc40759 in syscall () from /lib/libc.so.6
#1  0x00007ffff50877af in g_cond_wait () from /lib/libglib-2.0.so.0
#2  0x00007ffff70573ab in ?? () from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff558be3d in ?? () from /lib/libglibmm-2.4.so.1
#4  0x00007ffff506adb0 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 3 (LWP 6843):
#0  0x00007fffedc40759 in syscall () from /lib/libc.so.6
#1  0x00007ffff50877af in g_cond_wait () from /lib/libglib-2.0.so.0
#2  0x00007ffff70573ab in ?? () from /app/mixbus32c/lib/libardour.so.3
#3  0x00007ffff558be3d in ?? () from /lib/libglibmm-2.4.so.1
#4  0x00007ffff506adb0 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 2 (LWP 6842):
#0  0x00007ffff0c9972d in nanosleep () from /lib/libpthread.so.0
#1  0x00007ffff506be28 in g_usleep () from /lib/libglib-2.0.so.0
#2  0x0000000000cacdf5 in ?? ()
#3  0x00007ffff0c903a4 in ?? () from /lib/libpthread.so.0
#4  0x00007fffedc44c3d in clone () from /lib/libc.so.6

Thread 1 (LWP 6838):
#0  0x00007ffff530eaef in g_object_run_dispose () from /lib/libgobject-2.0.so.0
#1  0x00007ffff443356a in ?? () from /lib/libgtk-x11-2.0.so.0
#2  0x00007ffff446f2fb in ?? () from /lib/libgtk-x11-2.0.so.0
#3  0x00007ffff5309619 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#4  0x00007ffff5316fe6 in ?? () from /lib/libgobject-2.0.so.0
#5  0x00007ffff531fa8d in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#6  0x00007ffff531fc12 in g_signal_emit () from /lib/libgobject-2.0.so.0
#7  0x00007ffff4524d60 in ?? () from /lib/libgtk-x11-2.0.so.0
#8  0x00007ffff530ce15 in g_object_unref () from /lib/libgobject-2.0.so.0
#9  0x00007ffff446f2fb in ?? () from /lib/libgtk-x11-2.0.so.0
#10 0x00007ffff463cbda in ?? () from /lib/libgtk-x11-2.0.so.0
#11 0x00007ffff53096ac in g_closure_invoke () from /lib/libgobject-2.0.so.0
#12 0x00007ffff5316fe6 in ?? () from /lib/libgobject-2.0.so.0
#13 0x00007ffff531fa8d in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#14 0x00007ffff531fc12 in g_signal_emit () from /lib/libgobject-2.0.so.0
#15 0x00007ffff4524d60 in ?? () from /lib/libgtk-x11-2.0.so.0
#16 0x00007ffff530eaf2 in g_object_run_dispose () from /lib/libgobject-2.0.so.0
#17 0x00007ffff2583a81 in Gtk::MessageDialog::~MessageDialog() ()
   from /lib/libgtkmm-2.4.so.1
#18 0x00000000005c3ad4 in ?? ()
#19 0x00000000005c4aa9 in ?? ()
#20 0x00007ffff55999f8 in Glib::SignalProxyNormal::slot0_void_callback(_GObject*, void*) () from /lib/libglibmm-2.4.so.1
#21 0x00007ffff53096ac in g_closure_invoke () from /lib/libgobject-2.0.so.0
#22 0x00007ffff5316ea2 in ?? () from /lib/libgobject-2.0.so.0
#23 0x00007ffff531fa8d in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#24 0x00007ffff531fc12 in g_signal_emit () from /lib/libgobject-2.0.so.0
#25 0x00007ffff46295bb in gtk_widget_activate () from /lib/libgtk-x11-2.0.so.0
#26 0x00007ffff450efcf in gtk_menu_shell_activate_item ()
   from /lib/libgtk-x11-2.0.so.0
#27 0x00007ffff450f39b in ?? () from /lib/libgtk-x11-2.0.so.0
#28 0x00007ffff45043b6 in ?? () from /lib/libgtk-x11-2.0.so.0
#29 0x00007ffff44fa630 in ?? () from /lib/libgtk-x11-2.0.so.0
#30 0x00007ffff53096ac in g_closure_invoke () from /lib/libgobject-2.0.so.0
#31 0x00007ffff5316b9a in ?? () from /lib/libgobject-2.0.so.0
#32 0x00007ffff531f03f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#33 0x00007ffff531fc12 in g_signal_emit () from /lib/libgobject-2.0.so.0
#34 0x00007ffff4626d6c in ?? () from /lib/libgtk-x11-2.0.so.0
#35 0x00007ffff44f911c in gtk_propagate_event () from /lib/libgtk-x11-2.0.so.0
#36 0x00007ffff44f9603 in gtk_main_do_event () from /lib/libgtk-x11-2.0.so.0
#37 0x00007ffff415ca8c in ?? () from /lib/libgdk-x11-2.0.so.0
#38 0x00007ffff5043a7f in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#39 0x00007ffff5043d48 in ?? () from /lib/libglib-2.0.so.0
#40 0x00007ffff5043fa2 in g_main_loop_run () from /lib/libglib-2.0.so.0
#41 0x00007ffff44f8437 in gtk_main () from /lib/libgtk-x11-2.0.so.0
#42 0x00007ffff76c7b54 in Gtkmm2ext::UI::run(Receiver&) ()
   from /app/mixbus32c/lib/libgtkmm2ext.so.0
#43 0x0000000000836e9a in ?? ()
#44 0x00007fffedb7e6a0 in __libc_start_main () from /lib/libc.so.6
#45 0x0000000000494af9 in ?? ()
#46 0x00007fffffffe7f8 in ?? ()
#47 0x000000000000001c in ?? ()
#48 0x0000000000000001 in ?? ()
#49 0x00007fffffffeae7 in ?? ()
#50 0x0000000000000000 in ?? ()
backtrace.txt (15,172 bytes)

Issue History

Date Modified Username Field Change
2016-08-18 11:35 unius New Issue
2016-08-21 11:31 unius File Added: backtrace.txt
2020-04-02 18:30 unius Status new => closed
2020-04-02 18:30 unius Resolution open => fixed